Skip to content

Provisioning API (1.2.36)

Download OpenAPI description
Languages
Servers
Production server
https://provisioning.api.sinch.com
Staging server from master branch
https://provisioning-api.int.staging.sinch.com
Staging server from dev branch
https://provisioning-api-dev.int.staging.sinch.com
Internal production server for admin authorization
https://provisioning-api.unauth.int.prod.sinch.com
Internal staging server from master branch for admin authorization
https://provisioning-api.unauth.int.staging.sinch.com
Internal staging server from dev branch for admin authorization
https://provisioning-api-dev.unauth.int.staging.sinch.com

Webhooks

Webhooks allow the Sinch servers to communicate with your server backend. The webhooks endpoint lets you create, update, and delete webhooks programmatically.

Operations

WhatsApp Accounts

The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.

Operations

AccountsController_deleteAccount_v1

Request

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired
curl -i -X DELETE \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Update account for projectGA

Request

Update an account.

It is only possible to update an account that has been rejected. After update the status will be set to IN_PROGRESS.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired

Supported account fields to update.

wabaNamestring[ 1 .. 255 ] characters

The registered name of the brand who will be engaging with their users needs to be specified. This name must match the name associated with the Facebook Business Manager ID below. You can verify the registered name by visiting: https://business.facebook.com/select/?business_id=<your_business_manager_id> Ensure that the name shown exactly matches the one you enter here.

clientBusinessManagerIdstring[ 1 .. 255 ] characters

The Business Manager ID for the client to create the account. This can be found in the Meta Business Manager in Business Settings > Business Info below the Business Manager Account Name.

senderDetailsobject

Details of the sender to be created.

companyLegalNamestring[ 1 .. 255 ] charactersDeprecated

The registered name of the brand who will be engaging with their users needs to be specified. This name must match the name associated with the Facebook Business Manager ID below. You can verify the registered name by visiting: https://business.facebook.com/select/?business_id=<your_business_manager_id> Ensure that the name shown exactly matches the one you enter here.

curl -i -X PATCH \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "companyLegalName": "Updated legal name of company",
    "wabaName": "Updated legal name of company",
    "clientBusinessManagerId": "1234567890"
  }'

Responses

Account

Bodyapplication/json
isEmbeddedSignupbooleanrequired

true if the Account was created through Embedded Signup. false otherwise.

businessManagerstringrequired

Business manager.

Enum"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK""UNRECOGNIZED"
compatibleRegionsArray of strings(WhatsappRegions)uniquerequired

Conversation API app regions the sender can be used for.

Items Enum"br""eu""us"
statestring

The current state of your account.

Enum"ONBOARDED""PENDING_FACEBOOK_VERIFICATION""REJECTED"
wabaIdstring

WhatsApp Business Manager ID.

changesobject

Any pending changes to the account.

detailsobject

Account details and information.

wabaBanStatestring

Ban state when account has been banned.

Enum"DISABLE""REINSTATE""SCHEDULE_FOR_DISABLE""UNRECOGNIZED"
wabaBanDatestring

The UTC Date Time in ISO 8601 for when account has been banned.

wabaEnabledForInsightsboolean

Template analytics status for account.

wabaEnabledForDirectSendboolean

Direct Send API status for account.

primaryBusinessLocationstring

Two-letter country code in ISO 3166 standard, specifying the country where business is based

Enum"AD""AE""AF""AG""AI""AL""AM""AO""AQ""AR"
partnerInitiatedRequestIdstring

The id of the request sent into the business manager of the end user. The URL for the enduser approval is https://business.facebook.com/latest/settings/requests?business_id=<clientBusinessManagerId>&selected_request_id=<partnerInitiatedRequestId>

Response
application/json
{ "state": "REJECTED", "isEmbeddedSignup": false, "businessManager": "SINCH_UK", "wabaId": "1234567890", "changes": { "status": "IN_PROGRESS", "details": {} }, "details": { "companyLegalName": "Legal name of company", "wabaName": "Legal name of company", "clientBusinessManagerId": "1234567890" }, "wabaEnabledForInsights": true, "wabaEnabledForDirectSend": false, "compatibleRegions": [ "eu", "us" ] }

Lists activities on accountGA

Request

Lists activities on account from the most recent one to the oldest one.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Query
pageTokenstring

The page token if retrieving the next page from a previous query.

pageSizenumber[ 1 .. 100 ]

The page size requested.

curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/activities?pageToken=string&pageSize=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Recent activities on account

Bodyapplication/json
totalSizenumberrequired

Total size of the entries matching the search query.

pageSizenumberrequired

Requested size of the page.

notificationsArray of objects(WhatsappAccountNotificationDto)required
notifications[].​typestringrequired
Enum"COMMENT_ADDED""CREATED""DRAFT""EDITED""IN_PROGRESS""PENDING_FACEBOOK_VERIFICATION""REJECTED"
notifications[].​createdstring
notifications[].​authorstring
notifications[].​commentstring
previousPageTokenstring

Encoded token to use in list request to fetch previous batch of entries.

nextPageTokenstring

Encoded token to use in list request to fetch next batch of entries.

Response
application/json
{ "totalSize": 2, "pageSize": 50, "notifications": [ {}, {} ] }

WhatsApp

he WhatsApp endpoint enables programmatic login to your WhatsApp account and retrieval of its details.

Operations

WhatsApp Flows

The WhatsApp flows endpoint lets you retrieve and manage WhatsApp Flows associated with the project.

Operations

WhatsApp Senders

A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.

Operations

WhatsApp Solutions

The WhatsApp solutions endpoint offers a way for you to manage your WhatsApp solutions.

Operations

WhatsApp Templates

The WhatsApp template endpoint offers a way for you to manage your WhatsApp templates that can be used with the Conversation API. The WhatsApp templates are a requirement to send the initial outbound messages in the WhatsApp API.

Operations

Bundles

The bundles endpoint allows you to create and manage bundles of account resources.

Operations

KakaoTalk Categories

The KakaoTalk categories endpoint offers a way for you to manage all of the KakaoTalk template categories that you can use with the Conversation API.

Operations

KakaoTalk Senders

The KakaoTalk sender endpoint offers a way for you to manage your KakaoTalk senders that can be used with the Conversation API.

Operations

KakaoTalk Templates

The KakaoTalk template endpoint offers a way for you to manage your KakaoTalk templates that can be used with the Conversation API.

Operations

Conversation

The Conversation endpoints allows you to retrieve information about channels used with Conversation API.

Operations

RCS Accounts

Operations

RCS Questionnaire

Operations

RCS Senders

Operations